Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 745993 (CVE-2020-7069, CVE-2020-7070) - <dev-lang/php-{7.2.34, 7.3.23, 7.4.11}: Multiple vulnerabilities (CVE-2020-{7069,7070})
Summary: <dev-lang/php-{7.2.34, 7.3.23, 7.4.11}: Multiple vulnerabilities (CVE-2020-{7...
Status: RESOLVED FIXED
Alias: CVE-2020-7069, CVE-2020-7070
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Gentoo Security
URL:
Whiteboard: B3 [glsa+ cve]
Keywords:
Depends on:
Blocks:
 
Reported: 2020-10-01 14:04 UTC by Sam James
Modified: 2020-12-23 20:21 UTC (History)
3 users (show)

See Also:
Package list:
dev-lang/php-7.2.34 dev-lang/php-7.3.23 dev-lang/php-7.4.11
Runtime testing required: ---
nattka: sanity-check-


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sam James archtester gentoo-dev Security 2020-10-01 14:04:33 UTC
01 Oct 2020
Core:
Fixed #79699 (PHP parses encoded cookie names so malicious `__Host-` cookies can be sent). (CVE-2020-7070)
OpenSSL:
Fixed #79601 (Wrong ciphertext/tag in AES-CCM encryption for a 12 bytes IV). (CVE-2020-7069)
Comment 1 Sam James archtester gentoo-dev Security 2020-10-01 14:05:24 UTC
Please bump to 7.2.34, 7.3.23, 7.4.11.
Comment 2 Sam James archtester gentoo-dev Security 2020-10-04 17:05:44 UTC
arm done
Comment 3 Rolf Eike Beer 2020-10-04 19:50:11 UTC
hppa/sparc stable
Comment 4 Sam James archtester gentoo-dev Security 2020-10-06 13:04:10 UTC
arm64 done
Comment 5 Agostino Sarubbo gentoo-dev 2020-10-07 06:43:06 UTC
amd64 stable
Comment 6 Agostino Sarubbo gentoo-dev 2020-10-07 06:50:37 UTC
ppc stable
Comment 7 Agostino Sarubbo gentoo-dev 2020-10-07 06:53:37 UTC
ppc64 stable
Comment 8 Agostino Sarubbo gentoo-dev 2020-10-07 07:12:19 UTC
x86 stable.

Maintainer(s), please cleanup.
Security, please vote.
Comment 9 NATTkA bot gentoo-dev 2020-12-16 18:52:58 UTC Comment hidden (obsolete)
Comment 10 NATTkA bot gentoo-dev 2020-12-23 00:40:59 UTC
Unable to check for sanity:

> no match for package: dev-lang/php-7.2.34
Comment 11 Thomas Deutschmann gentoo-dev Security 2020-12-23 00:41:18 UTC
Added to an existing GLSA request.
Comment 12 GLSAMaker/CVETool Bot gentoo-dev 2020-12-23 20:21:08 UTC
This issue was resolved and addressed in
 GLSA 202012-16 at https://security.gentoo.org/glsa/202012-16
by GLSA coordinator Thomas Deutschmann (whissi).